# Authority: vip-ire
# Name: Daniel Berteaud

Summary: LemonLDAP NG is a web SSO solution
%define name smeserver-lemonldap-ng
Name: %{name}
%define version 0.2.19
%define release 1
Version: 0.2.20
Release: 1%{?dist}
License: GPL
Group: SME Server
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch

BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

Requires: e-smith-base >= 5.2.0-56
Requires: e-smith-ldap
Requires: smeserver-webapps-common >= 0.1-8
Requires: lemonldap-ng >= 1.4.1
Requires: lemonldap-ng-fr-doc
Requires: perl(Authen::Captcha)

%description
This package contains all the needed scripts and templates
to run LemonLDAP NG on your SME Server. It uses LDAP as authentication source
but can also use SSL auth (either optional with a fallback to LDAP, or SSL required)

%changelog
* Tue Sep 03 2019 Daniel Berteaud <daniel@firewall-services.com> 0.2.20-1
- Bump version

* Tue Sep 03 2019 Daniel Berteaud <daniel@firewall-services.com> 0.2.19-1
- new package built with tito

* Wed Feb 15 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.19-1.sme
- Set Access-Control-Allow-Origin on CAS endpoint, need for ticket renew in SOGo

* Mon Jan 9 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.18-1.sme
- Update httpd template to read the Authentication prop of domain to load
  Lemonldap::NG handler

* Wed Dec 7 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.17-1.sme
- Replace My::Package with Lemonldap::NG::Handler in default vhost templates

* Sat Jan 23 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.16-1.sme
- Don't redirect to https for acme challenges

* Wed Oct 14 2015 Daniel Berteaud <daniel@firewall-services.com> 0.2.15-1.sme
- Fix DL icon size

* Fri Sep 5 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2.14-1.sme
- Define localSessionStorage to prevent clashes between handlers

* Wed Jul 30 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2.13-1.sme
- Add icons for mailman and phplist

* Tue Jul 1 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2.12-1.sme
- Adapt for LL::NG 1.4.1 (1.4.0 was too buggy)

* Wed Dec 11 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.11-1.sme
- Add an icon for DL

* Wed Nov 20 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.10-1.sme
- Add an icon for pydio

* Mon Nov 18 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.9-1.sme
- Add two new icons (rdv.png and survey.png)

* Wed Nov 13 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.8-1.sme
- compatibility with SME9 (perl lib path)

* Mon Nov 4 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.7-1.sme
- Requires perl(Authen::Captcha) for LL::NG 1.3.0

* Tue Sep 17 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.6-1.sme
- Small modifications to support SOGo CAS auth
- Enable CAS auth

* Wed Aug 21 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.5-1.sme
- Move custom icons to the correct directory

* Wed Aug 21 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.4-1.sme
- Add custom icons for the portal

* Tue Sep 4 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.3-1.sme
- Use Authentication prop instead of LemonLDAP

* Wed Jun 20 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1.sme
- Redirect to HTTPS on port 443

* Wed Jun 20 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1.sme
- Add optional floating menu per vhost

* Wed Jun 20 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1.sme
- Import in GIT
- Remove the grantSessionRule param
- Log via syslog (auth)

* Mon Dec 19 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-22.sme
- Change SSL Auth to work with LocationMatch, so CAS proxy can work with
  SSL Auth enabled

* Wed Jul 13 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-21.sme
- Disable password reset form

* Wed Jul 13 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-20.sme
- Fix uninitilized values in lemonldap conf templates

* Mon Jul 11 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-19.sme
- reserve /lm-reload

* Sun Jul 10 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-18.sme
- Fix notification check

* Sat Jul 09 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-17.sme
- Don't force notifications on

* Fri Jul 08 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-16.sme
- Enable and configure notifications

* Thu Jun 30 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-15.sme
- Manage some configuration from the DB

* Fri Mar 11 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-14.sme
- Make LemonLDAP compatible with ocsinventory-ng

* Mon Mar 7 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-13.sme
- Add support for SSL Auth on the portal
- Use a separated vhost for SOAP requests

* Tue Feb 1 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-12.sme
- Requires recent version of smeserver-webapps-common
- Switch to LDAP based auth to protect the manager

* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-11.sme
- Fix a spacing issue in httpd templates

* Fri Jan 21 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-10.sme
- Add SSLEngine directives in https virtualhosts

* Fri Jan 21 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-9.sme
- Fix empty SoapPassword

* Thu Jan 06 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-8.sme
- Fix Soap ressources authentication

* Mon Jan 03 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-7.sme
- Run the manager as a perl script (instead of CGI mode)

* Mon Jan 03 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-6.sme
- Use https links for error pages

* Thu Dec 30 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-5.sme
- use only alphanumeric characters for soap password
- use htpasswd to hash the password

* Tue Dec 28 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-4.sme
- don't load mod_auth_external if not needed
- move cache dir in /var/cache
- Fix several hosts listed in SoapAllowFrom

* Fri Dec 24 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- Use htpasswd file to protect SOAP services
- Configure session storage in lemonldap-ng.ini
- Support additionnal server reload URL

* Fri Dec 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-2.sme
- Let the manager be self-protected if ManagerAuth eq self

* Thu Dec 16 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-1.sme
- initial public release

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
%{__mkdir_p} root/var/cache/lemonldap-ng
%{__mkdir_p} root/var/lib/lemonldap-ng/notifications

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /var/cache/lemonldap-ng 'attr(0770,root,www)' \
  --dir /var/lib/lemonldap-ng/notifications 'attr(0770,root,www)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

true
